Search Results for

Show / Hide Table of Contents

# Class Window.TitleEventArgs

An System.EventArgs which allows passing a cancelable new Title value event.

##### Inheritance

System.Object
Window.TitleEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TitleEventArgs : EventArgs

### Constructors

#### TitleEventArgs(ustring, ustring)

Initializes a new instance of Window.TitleEventArgs

##### Declaration

    public TitleEventArgs(ustring oldTitle, ustring newTitle)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | oldTitle | The Title that is/has been replaced.
NStack.ustring | newTitle | The new Title to be replaced.

### Properties

#### Cancel

Flag which allows cancelling the Title change.

##### Declaration

    public bool Cancel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### NewTitle

The new Window Title.

##### Declaration

    public ustring NewTitle { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### OldTitle

The old Window Title.

##### Declaration

    public ustring OldTitle { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |